Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 184418 - X lockup on resume on Thinkpad T43 with i915 chipset
Summary: X lockup on resume on Thinkpad T43 with i915 chipset
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pm-utils
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC6Target FC5Update
TreeView+ depends on / blocked
 
Reported: 2006-03-08 17:10 UTC by Will Woods
Modified: 2015-03-05 01:16 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-11 17:36:05 UTC


Attachments (Terms of Use)

Description Will Woods 2006-03-08 17:10:03 UTC
FC5t3 suspends and resumes fine on my Thinkpad T43, once I add
'acpi_sleep=s3_bios' to the kernel command line.

After installing pm-utils-0.11, X locks up on wakeup from suspend and makes the
display completely unusable. The system is still functional - I can blind-type
commands or ssh in. Switching VTs and/or restarting X has no effect. 

This problem manifests regardless of kernel version. Turning off drm does not
affect it. Removing the 'acpi_sleep' item from the kernel commandline does not
fix it. Upgrading to pm-utils-0.13 does not fix the problem, but reverting to
pm-utils-0.09-1.2 does. 

The error in Xorg.0.log is:

Error in I830WaitLpRing(), now is -624801700, start is -624803701
pgetbl_ctl: 0x1ffc0001 pgetbl_err: 0x0
ipeir: 0 iphdr: 0
LP ring tail: b240 head: b238 len: 0 start 0
eir: 0 esr: 0 emr: ffff
instdone: ffc0 instpm: 0
memmode: 108 instps: f0000
hwstam: ffff ier: 0 imr: ffff iir: 0
space: 131056 wanted 131064
(II) I810(0): [drm] removed 1 reserved context for kernel
(II) I810(0): [drm] unmapping 8192 bytes of SAREA 0xe044d000 at 0xb7fc5000

Fatal server error:
lockup

Error in I830WaitLpRing(), now is -624799660, start is -624801661
pgetbl_ctl: 0x1ffc0001 pgetbl_err: 0x0
ipeir: 0 iphdr: 0
LP ring tail: b248 head: b238 len: 0 start 0
eir: 0 esr: 0 emr: ffff
instdone: ffc0 instpm: 0
memmode: 108 instps: f0000
hwstam: ffff ier: 0 imr: ffff iir: 0
space: 131048 wanted 131064

FatalError re-entered, aborting
lockup

Comment 1 Will Woods 2006-03-08 22:28:10 UTC
Removing the vbetool lines from suspend_video() and resume_video() (in
/etc/pm/functions-intel) fixes my problem.

When the X does crash, I can switch to VT1 and do 'telinit 3; telinit 5' to
attempt to bring X back. It starts up enough that I see the mouse pointer for a
moment, and then crashes again.

Comment 2 Miles Lane 2006-03-21 00:46:32 UTC
I have a i915 in my HP Pavillion dv1240us.  When I resume, my display used to
just remain dark.  Now, however, I am getting an almost working display.  The
rendering for Metacity, Firefox, Gnome Terminal and other apps are all messed up.  

Here's what I sent to the Fedora Users mailing list:

I am running Rawhide + all updates (probably very close to FC5T3).
After resuming after suspend, Metacity, Firefox, Gnome-Terminal, etc
all have completely messed up rendering.  For example, when I scroll
in Firefox, only about the bottom .5" of the display moves.  Nothing else
changes.When I scroll back up, the top .5" changes.  Also, in composing
this message using gmail's web UI, there is no cursor displayed.
When I bring Gnome Terminal to the foreground, the nothing but the
Metacity frame is refreshed.  The square cursor appears, blinking.

If I click on the Gnome Terminal window frame and drag it, the
terminal's Metacity frame disappears.  Killing programs and restarting
them does not help.  It is a real mess.  Has anyone else seen this?
I will look in the bug database for an existing bug report.

Comment 3 Miles Lane 2006-03-21 00:55:29 UTC
I tried acpi_sleep=s3_bios and it made no difference for me.  Still get all the
problems on resume.

Comment 4 Will Woods 2007-04-11 17:36:05 UTC
This works for me in current rawhide, with or without acpi_sleep=s3_bios. 


Note You need to log in before you can comment on or make changes to this bug.